export const THEME_MODE = {
  DARK: 'dark-mode',
  LIGHT: 'light-mode',
}

export const LOTTO_SLUG_NAME: { [type in TLottoSlug]: string } = {
  LOTTER_YEGEE: 'หวยยี่กี',
  LOTTER_GOVN: 'หวยรัฐบาล',
  LOTTER_BAAC: 'หวยธกส',
  LOTTER_GSB: 'หวยออมสิน',
  LOTTER_NAT_SHARE_LAO: 'หวยลาว',
  LOTTER_LAO_SUITE: 'หวยลาว (เลขชุด)',
  LOTTER_TH_SHARE_MORNING: 'หวยหุ้นไทยเช้า',
  LOTTER_TH_SHARE_MIDDAY: 'หวยหุ้นไทยเที่ยง',
  LOTTER_TH_SHARE_AFTERNOON: 'หวยหุ้นไทยบ่าย',
  LOTTER_TH_SHARE_EVENING: 'หวยหุ้นไทยเย็น',
  LOTTER_NAT_SHARE_DOWNJON: 'หวยหุ้นดาวน์โจน',
  LOTTER_NAT_SHARE_EGYPT: 'หวยหุ้นต่างประเทศอียิปต์',
  LOTTER_NAT_SHARE_GERMANY: 'หวยหุ้นต่างประเทศเยอรมัน',
  LOTTER_NAT_SHARE_NIKAII_MORNING: 'หวยหุ้นนิเคอิรอบเช้า',
  LOTTER_NAT_SHARE_NIKAII_AFTERNOON: 'หวยหุ้นนิเคอิรอบบ่าย',
  LOTTER_NAT_SHARE_CHINA_MORNING: 'หวยหุ้นจีนรอบเช้า',
  LOTTER_NAT_SHARE_CHINA_AFTERNOON: 'หวยหุ้นจีนรอบบ่าย',
  LOTTER_NAT_SHARE_TAIWAN: 'หวยหุ้นไต้หวัน',
  LOTTER_NAT_SHARE_KOREA: 'หวยหุ้นเกาหลี',
  LOTTER_NAT_SHARE_SINGAPORE: 'หวยหุ้นสิงค์โปร',
  LOTTER_NAT_SHARE_INDIA: 'หวยหุ้นอินเดีย',
  LOTTER_NAT_SHARE_HANOI_SPECIAL: 'หวยหุ้นฮานอยพิเศษ',
  LOTTER_NAT_SHARE_MALAY: 'หวยหุ้นมาเลย์',
  LOTTER_NAT_SHARE_VIETNAM_HANOI: 'หวยหุ้นเวียดนาม / ฮานอย',
  LOTTER_NAT_SHARE_VIETNAM_HANOI_VIP: 'หวยหุ้นเวียดนาม / ฮานอย VIP',
  LOTTER_NAT_SHARE_HANOI_4D: 'หวยหุ้นฮานอย (4D)',
  LOTTER_NAT_SHARE_RUSSIA: 'หวยหุ้นรัสเซีย',
  LOTTER_NAT_SHARE_ENGLISH: 'หวยหุ้นอังกฤษ',
  LOTTER_NAT_SHARE_HUNGSENG_MORNING: 'หวยหุ้นฮั่งเส็งรอบเช้า',
  LOTTER_NAT_SHARE_HUNGSENG_AFTERNOON: 'หวยหุ้นฮั่งเส็งรอบบ่าย',
}

export const LOTTO_SESSION_CODE: { [type in TLottoSessionCode]: string } = {
  LOTTER_GOVN: 'หวยรัฐบาล',
  LOTTER_BAAC: 'หวยธกส',
  LOTTER_GSB: 'หวยออมสิน',
  LOTTER_NAT_SHARE_LAO: 'หวยลาว',
  LOTTER_LAO_SUITE: 'หวยลาว (เลขชุด)',
  LOTTER_TH_SHARE_MORNING: 'หวยหุ้นไทยเช้า',
  LOTTER_TH_SHARE_MIDDAY: 'หวยหุ้นไทยเที่ยง',
  LOTTER_TH_SHARE_AFTERNOON: 'หวยหุ้นไทยบ่าย',
  LOTTER_TH_SHARE_EVENING: 'หวยหุ้นไทยเย็น',
  LOTTER_NAT_SHARE_DOWNJON: 'หวยหุ้นดาวน์โจน',
  LOTTER_NAT_SHARE_EGYPT: 'หวยหุ้นต่างประเทศอียิปต์',
  LOTTER_NAT_SHARE_GERMANY: 'หวยหุ้นต่างประเทศเยอรมัน',
  LOTTER_NAT_SHARE_NIKAII_MORNING: 'หวยหุ้นนิเคอิรอบเช้า',
  LOTTER_NAT_SHARE_NIKAII_AFTERNOON: 'หวยหุ้นนิเคอิรอบบ่าย',
  LOTTER_NAT_SHARE_CHINA_MORNING: 'หวยหุ้นจีนรอบเช้า',
  LOTTER_NAT_SHARE_CHINA_AFTERNOON: 'หวยหุ้นจีนรอบบ่าย',
  LOTTER_NAT_SHARE_TAIWAN: 'หวยหุ้นไต้หวัน',
  LOTTER_NAT_SHARE_KOREA: 'หวยหุ้นเกาหลี',
  LOTTER_NAT_SHARE_SINGAPORE: 'หวยหุ้นสิงค์โปร',
  LOTTER_NAT_SHARE_INDIA: 'หวยหุ้นอินเดีย',
  LOTTER_NAT_SHARE_HANOI_SPECIAL: 'หวยหุ้นฮานอยพิเศษ',
  LOTTER_NAT_SHARE_MALAY: 'หวยหุ้นมาเลย์',
  LOTTER_NAT_SHARE_VIETNAM_HANOI: 'หวยหุ้นเวียดนาม / ฮานอย',
  LOTTER_NAT_SHARE_VIETNAM_HANOI_VIP: 'หวยหุ้นเวียดนาม / ฮานอย VIP',
  LOTTER_NAT_SHARE_HANOI_4D: 'หวยหุ้นฮานอย (4D)',
  LOTTER_NAT_SHARE_RUSSIA: 'หวยหุ้นรัสเซีย',
  LOTTER_NAT_SHARE_ENGLISH: 'หวยหุ้นอังกฤษ',
  LOTTER_NAT_SHARE_HUNGSENG_MORNING: 'หวยหุ้นฮั่งเส็งรอบเช้า',
  LOTTER_NAT_SHARE_HUNGSENG_AFTERNOON: 'หวยหุ้นฮั่งเส็งรอบบ่าย',
}

export const LOTTO_FLAG_ALPHA: { [type in TLottoType]: TFlag } = {
  GOVN: 'THA',
  BAAC: 'BAAC',
  GSB: 'GSB',
  LAO: 'LAO',
  TH_SHARE_MORNING: 'THA',
  TH_SHARE_MIDDAY: 'THA',
  TH_SHARE_AFTERNOON: 'THA',
  TH_SHARE_EVENING: 'THA',
  NAT_SHARE_DOWNJON: 'USA',
  NAT_SHARE_EGYPT: 'EGY',
  NAT_SHARE_GERMANY: 'DEU',
  NAT_SHARE_NIKAII_MORNING: 'JPN',
  NAT_SHARE_NIKAII_AFTERNOON: 'JPN',
  NAT_SHARE_CHINA_MORNING: 'CHN',
  NAT_SHARE_CHINA_AFTERNOON: 'CHN',
  NAT_SHARE_TAIWAN: 'TWN',
  NAT_SHARE_KOREA: 'KOR',
  NAT_SHARE_SINGAPORE: 'SGP',
  NAT_SHARE_INDIA: 'IND',
  NAT_SHARE_HANOI_SPECIAL: 'VNM',
  NAT_SHARE_MALAY: 'MYS',
  NAT_SHARE_VIETNAM_HANOI: 'VNM',
  NAT_SHARE_VIETNAM_HANOI_VIP: 'VNM',
  NAT_SHARE_HANOI_4D: 'VNM',
  NAT_SHARE_RUSSIA: 'RUS',
  NAT_SHARE_ENGLISH: 'GBR',
  NAT_SHARE_HUNGSENG_MORNING: 'HKG',
  NAT_SHARE_HUNGSENG_AFTERNOON: 'HKG',
  NAT_SHARE_LAO: 'LAO',
  LAO_SUITE:'LAO',
  YEGEE: 'THA',
}

export const LOTTO_SLUG_TO_TYPE: { [type in TLottoSlug]: TLottoType } = {
  LOTTER_YEGEE: 'YEGEE',
  LOTTER_GOVN: 'GOVN',
  LOTTER_BAAC: 'BAAC',
  LOTTER_GSB: 'GSB',
  LOTTER_NAT_SHARE_LAO: 'NAT_SHARE_LAO',
  LOTTER_LAO_SUITE: 'LAO_SUITE',
  LOTTER_TH_SHARE_MORNING: 'TH_SHARE_MORNING',
  LOTTER_TH_SHARE_MIDDAY: 'TH_SHARE_MIDDAY',
  LOTTER_TH_SHARE_AFTERNOON: 'TH_SHARE_AFTERNOON',
  LOTTER_TH_SHARE_EVENING: 'TH_SHARE_EVENING',
  LOTTER_NAT_SHARE_DOWNJON: 'NAT_SHARE_DOWNJON',
  LOTTER_NAT_SHARE_EGYPT: 'NAT_SHARE_EGYPT',
  LOTTER_NAT_SHARE_GERMANY: 'NAT_SHARE_GERMANY',
  LOTTER_NAT_SHARE_NIKAII_MORNING: 'NAT_SHARE_NIKAII_MORNING',
  LOTTER_NAT_SHARE_NIKAII_AFTERNOON: 'NAT_SHARE_NIKAII_AFTERNOON',
  LOTTER_NAT_SHARE_CHINA_MORNING: 'NAT_SHARE_CHINA_MORNING',
  LOTTER_NAT_SHARE_CHINA_AFTERNOON: 'NAT_SHARE_CHINA_AFTERNOON',
  LOTTER_NAT_SHARE_TAIWAN: 'NAT_SHARE_TAIWAN',
  LOTTER_NAT_SHARE_KOREA: 'NAT_SHARE_KOREA',
  LOTTER_NAT_SHARE_SINGAPORE: 'NAT_SHARE_SINGAPORE',
  LOTTER_NAT_SHARE_INDIA: 'NAT_SHARE_INDIA',
  LOTTER_NAT_SHARE_HANOI_SPECIAL: 'NAT_SHARE_HANOI_SPECIAL',
  LOTTER_NAT_SHARE_MALAY: 'NAT_SHARE_MALAY',
  LOTTER_NAT_SHARE_VIETNAM_HANOI: 'NAT_SHARE_VIETNAM_HANOI',
  LOTTER_NAT_SHARE_VIETNAM_HANOI_VIP: 'NAT_SHARE_VIETNAM_HANOI_VIP',
  LOTTER_NAT_SHARE_HANOI_4D: 'NAT_SHARE_HANOI_4D',
  LOTTER_NAT_SHARE_RUSSIA: 'NAT_SHARE_RUSSIA',
  LOTTER_NAT_SHARE_ENGLISH: 'NAT_SHARE_ENGLISH',
  LOTTER_NAT_SHARE_HUNGSENG_MORNING: 'NAT_SHARE_HUNGSENG_MORNING',
  LOTTER_NAT_SHARE_HUNGSENG_AFTERNOON: 'NAT_SHARE_HUNGSENG_AFTERNOON',
}


export const LOTTO_GAME_TYPE_NAME: { [type in TLottoGameType]: string } = {
  TWO_UP: 'สองตัวบน',
  TWO_DOWN: 'สองตัวล่าง',
  THREE_UP: 'สามตัวบน',
  THREE_FRONT: 'สามตัวหน้า',
  THREE_BACK: 'สามตัวหลัง',
  THREE_TOAST: 'สามตัวโต๊ท',
  FOUR_SUITE: 'เลขชุดสี่ตัว',
  RUN_UP: 'วิ่งบน',
  RUN_DOWN: 'วิ่งล่าง',
  ONE_AWARD: 'รางวัลที่ 1',
  YEGEE_PLAY_AWARD: 'รางวัลยิงเลขลำดับที่',
}

export const LOTTO_SESSION_TYPE: { [type in TLottoSessionType]: string } = {
  TWO_UP: 'สองตัวบน',
  TWO_DOWN: 'สองตัวล่าง',
  THREE_UP: 'สามตัวบน',
  THREE_FRONT: 'สามตัวหน้า',
  THREE_BACK: 'สามตัวหลัง',
  THREE_TOAST: 'สามตัวโต๊ท',
  FOUR_SUITE: 'เลขชุดสี่ตัว',
  RUN_UP: 'วิ่งบน',
  RUN_DOWN: 'วิ่งล่าง',
  ONE_AWARD: 'รางวัลที่ 1',
}

export const TRANSACTION_TYPE: { [type in TTransactionType]: string } = {
  DEPOSIT: 'ฝากเครดิต',
  WITHDRAW: 'ถอนเครดิต',
  DEPOSIT_GAME_FISHING: 'ฝากเครดิตจากเกมยิงปลา',
  WITHDRAW_GAME_FISHING: 'ถอนเครดิตเข้าเกมยิงปลา',
  BET_GAME_CASINO: 'เกมคาสิโน',
  AFFILATE_WITHDRAW: 'ย้ายเงินจากกระเป๋าระบบแนะนำสมาชิก',
  SYSTEM_INCOME: 'รายได้ระบบ',
  SYSTEM_MONEY_LOSS: 'จ่ายผู้เล่น',
  DEPOSIT_SYSTEM_INCOME: 'ลูกค้าฝากเข้าระบบ',
  WITHDRAW_SYSTEM_INCOME: 'ลูกค้าแจ้งถอนเงินออกจากระบบ',
  WITHDRAW_SYSTEM_MONEY_LOSS: 'ลูกค้าถอนเงินออกจากระบบ',
}

export const GAME_TYPE_NAME: { [type in TGameType]: string } = {
  BINGO: 'เล่นบิงโก',
  ECASINO: 'พนันคาสิโน',
  FISHING: 'ยิงปลา',
  SLOT: 'หมุนสล๊อต',
}